%define name	gnome-timer-applet
%define version 2.1.4
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	Countdown timer applet for the GNOME panel
Version: 	%{version}
Release: 	%{release}

Source:		timer-applet-%{version}.tar.gz
URL:		http://launchpad.net/timer-applet
License:	GPL
Group:		Graphical desktop/GNOME
BuildRequires:	python-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	intltool >= 0.35
Requires:	gnome-python >= 2.16
Requires:	gnome-python-desktop >= 2.16
Requires:	pygtk2.0-libglade >= 2.10
Requires:	python-notify >= 0.1
Requires:	dbus-python > 0.80
Requires(post):GConf2
Requires(preun):GConf2

%description
* Quickly set a timer and be notified when it finishes
* Unobtrusive notification that does not interrupt your work, but keeps you
  aware that the timer has finished
* Create presets for quick access to frequently-used times
* Add multiple Timer Applets to the panel to have different timers running
  simultaneously
* D-Bus support provides programmatic access to Timer Applet instances

%prep
%setup -q -n timer-applet

%build
%configure2_5x --disable-schemas-install
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang timer-applet

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/timer-applet.schemas > /dev/null

%preun
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/timer-applet.schemas > /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files -f timer-applet.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/timer-applet/timer-applet
%{_libdir}/bonobo/servers/*
%{py_sitedir}/timerapplet
%{_datadir}/timer-applet
%{_datadir}/pixmaps/*




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.1.4-2.mga3
+ Revision: 352234
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 14 2011 ennael <ennael> 2.1.4-1.mga1
+ Revision: 85061
- clean spec file
- imported package gnome-timer-applet

